HQApp (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.application.HQApp class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.application
Class HQApp

    java.lang.Object
      org.hyperic.hq.application.HQApp

    public class HQApp

extends java.lang.Object

This class represents the central concept of the Hyperic HQ application. (not the Application resource)

Method Summary
`void` | `addStartupClass(java.lang.String className)` Adds a class to the list of classes to invoke when the application has started.
`void` | `addTransactionListener(TransactionListener listener)` Register a listener to be called after a tx has been committed.
`void` | `clearMethodStats()`
`AgentProxyFactory` | `getAgentProxyFactory()`
`HibernateInterceptorChain` | `getHibernateInterceptor()` Get an interceptor to process hibernate lifecycle methods.
`HibernateLogManager` | `getHibernateLogManager()` Get the hibernate log manager, which allows the caller to execute code within the context of a logging hibernate interceptor.
`static HQApp` | `getInstance()`
`java.util.List` | `getMethodStats()`
`long` | `getMethodWarnTime()`
`java.io.File` | `getResourceDir()` Get a directory which contains resources that various parts of the application may need (templates, reports, license files, etc.)
`java.io.File` | `getRestartStorageDir()` Get a directory which can have files placed into it which will carry over for a restart.
`Scheduler` | `getScheduler()`
`long` | `getTransactions()` Get the # of transactions which have been run since the start of the application
`long` | `getTransactionsFailed()` Get the # of transactions which have failed since the start of the application
`java.util.Properties` | `getTweakProperties()`
`ThreadWatchdog` | `getWatchdog()`
`java.io.File` | `getWebAccessibleDir()` Get the directory which represents the URL root for the application
`boolean` | `isCollectingMethodStats()`
`java.lang.Object` | `registerCallbackCaller(java.lang.Class iFace)`
`void` | `registerCallbackListener(java.lang.Class iFace, java.lang.Object listener)`
`void` | `runStartupClasses()` Execute the registered startup classes.
`void` | `setCollectMethodStats(boolean enable)`
`void` | `setMethodWarnTime(long warnTime)`
`void` | `setResourceDir(java.io.File dir)`
`void` | `setRestartStorageDir(java.io.File dir)`
`void` | `setUserPrefsCallback(java.lang.Integer sessionId, java.lang.Integer subjId, ConfigResponse prefs)`
`void` | `setWebAccessibleDir(java.io.File dir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setMethodWarnTime

    public void setMethodWarnTime(long warnTime)

### getMethodWarnTime

    public long getMethodWarnTime()

### getWatchdog

    public ThreadWatchdog getWatchdog()

### getAgentProxyFactory

    public AgentProxyFactory getAgentProxyFactory()

### getScheduler

    public Scheduler getScheduler()

### setRestartStorageDir

    public void setRestartStorageDir(java.io.File dir)

### getRestartStorageDir

    public java.io.File getRestartStorageDir()

  Get a directory which can have files placed into it which will carry over for a restart. This should not be used to place files for extensive periods of time.

### setResourceDir

    public void setResourceDir(java.io.File dir)

### getResourceDir

    public java.io.File getResourceDir()

  Get a directory which contains resources that various parts of the application may need (templates, reports, license files, etc.)

### setWebAccessibleDir

    public void setWebAccessibleDir(java.io.File dir)

### getWebAccessibleDir

    public java.io.File getWebAccessibleDir()

  Get the directory which represents the URL root for the application

### getTweakProperties

    public java.util.Properties getTweakProperties()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### registerCallbackCaller

    public java.lang.Object registerCallbackCaller(java.lang.Class iFace)

  See Also:
    `CallbackDispatcher.generateCaller(Class)`

### registerCallbackListener

    public void registerCallbackListener(java.lang.Class iFace,
                                         java.lang.Object listener)

  See Also:
    `CallbackDispatcher.registerListener(Class, Object)`

### addStartupClass

    public void addStartupClass(java.lang.String className)

  Adds a class to the list of classes to invoke when the application has started.

### getTransactions

    public long getTransactions()

  Get the # of transactions which have been run since the start of the application

### getTransactionsFailed

    public long getTransactionsFailed()

  Get the # of transactions which have failed since the start of the application

### setCollectMethodStats

    public void setCollectMethodStats(boolean enable)

### isCollectingMethodStats

    public boolean isCollectingMethodStats()

### clearMethodStats

    public void clearMethodStats()

### getMethodStats

    public java.util.List getMethodStats()

### setUserPrefsCallback

    public void setUserPrefsCallback(java.lang.Integer sessionId,
                                     java.lang.Integer subjId,
                                     ConfigResponse prefs)

### runStartupClasses

    public void runStartupClasses()

  Execute the registered startup classes.

### addTransactionListener

    public void addTransactionListener(TransactionListener listener)

  Register a listener to be called after a tx has been committed.

### getHibernateInterceptor

    public HibernateInterceptorChain getHibernateInterceptor()

  Get an interceptor to process hibernate lifecycle methods. This method is used by `HypericInterceptor`

### getHibernateLogManager

    public HibernateLogManager getHibernateLogManager()

  Get the hibernate log manager, which allows the caller to execute code within the context of a logging hibernate interceptor.

### getInstance

    public static HQApp getInstance()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.